package com.calibre.webserver.file;

/**
 * An enumeration representing the file type and its corresponding MIME notation.
 * @author Tommo
 *
 */
public enum FileType {
	HTML("text/html"),
	TEXT("text/plain"),
	PNG("image/png"),
	JPEG("image/jpeg"),
	GIF("image/gif");
	
	private String name;
	
	FileType(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return name;
	}
	
}
