package com.calibre.webserver;

import org.jboss.netty.handler.codec.http.HttpVersion;

/**
 * A configuration class which contains general configuration
 * settings such as server port, etc.
 * @author tommo
 *
 */
public class Config {
	
	public static final HttpVersion HTTP_VERSION = HttpVersion.HTTP_1_1;
	public static final String INDEX_PAGE = "index.html";
	
	private int port;
	private String fileDir = "htdocs/";
	private String index = "index.html";

	public String getFileDir() {
		return fileDir;
	}
	
	public void setFileDir(String fileDir) {
		this.fileDir = fileDir;
	}
	
	public int getPort() {
		return port;
	}
	
	public void setPort(int port) {
		this.port = port;
	}

}
